Subject: bug#65118: closed (Re: none)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 05 Sep 2023 03:46:03 +0000

Your bug report

#65118: [PATCH 0/9]: gnu: Add NSQ.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65118: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65118
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: none
From: Maxim Cournoyer <[email-masked]>
To: Sharlatan Hellseher <[email-masked]>
Cc: [email-masked]
Date: Mon, 04 Sep 2023 23:45:49 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Sharlatan Hellseher <[email-masked]> writes:

> Hi Maxim,
>
> I think I've covered all review points in v2, let me know if you spot
> anything else to adjust.

I did very small changes to 2 packages, and installed the series!

-- 
Thanks,
Maxim

Subject: [PATCH 0/9]: gnu: Add NSQ.
From: Sharlatan Hellseher <[email-masked]>
To: [email-masked]
Cc: Sharlatan Hellseher <[email-masked]>
Date: Sun, 6 Aug 2023 20:54:07 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix!

This patch series adds broker queue with high availability model - NSQ.

While preparing packages for it I've notices go-github-com-golang-snappy is in
(gnu packages syncthing), it might be reasonable to move Golang related
packages from there to (gnu packages golang) to make the search of required
Golang packages easy to find in logical place.

Othere issues where some of the packages were already mentioned but not merged yet:

- go-github-com-julienschmidt-httprouter :: https://issues.guix.gnu.org/54560

It would be great to add services for each of the applications from (gnu packages
high-availability) as all of them have purpose to run as daemons.

Regards,
Oleg

Sharlatan Hellseher (9):
  gnu: Add go-github-com-bitly-go-hostpool.
  gnu: Add go-github-com-bitly-timer-metrics.
  gnu: Add go-github-com-bmizerany-perks-quantile.
  gnu: Add go-github-com-mreiferson-go-svc.
  gnu: Add go-github-com-julienschmidt-httprouter.
  gnu: Add go-github-com-mreiferson-go-options.
  gnu: Add go-github-com-nsqio-go-diskqueue.
  gnu: Add go-github-com-nsqio-go-nsq.
  gnu: Add nsq.

 gnu/packages/golang.scm            | 193 ++++++++++++++++++++++++++++-
 gnu/packages/high-availability.scm |  87 +++++++++++++
 2 files changed, 279 insertions(+), 1 deletion(-)

base-commit: c4b9f726e3a1889b92a4b14a2af1c25f10798469
-- 
2.40.1